/*
 *  UT_Downloader.cpp
 *  OMA-DM Client
 *
 *  Created by Mykola Bilovus on 03/03/10.
 *  Copyright 2010. All rights reserved.
 *
 */


#include <boost/test/unit_test.hpp>
#include "common/downloader.h"

using namespace NS_DM_Client::NS_Common;


BOOST_AUTO_TEST_SUITE(SuiteCommonLib)


BOOST_AUTO_TEST_CASE(TestCase_CreateDownloader)
{
	Downloader *pDownloader = DownloaderFactory::CreateDownloader(NULL);
	
	BOOST_CHECK( pDownloader != NULL );
	BOOST_CHECK( Downloader::DS_FINISHED == pDownloader->GetLastError() );
	
	delete pDownloader;
}


BOOST_AUTO_TEST_SUITE_END()
